Package org.eclipse.birt.report.engine.content

# Interface IPageContent

All Superinterfaces:
  `org.eclipse.birt.report.engine.css.engine.CSSStylableElement`, `IContainerContent`, `IContent`, `IElement`, `IStyledElement`

public interface IPageContent extends IContainerContent
Page instance. The page may contains multiple columns, which is defined in the MasterPage in report design. The content is defined by getBody().

## Field Summary

### Fields inherited from interface org.eclipse.birt.report.engine.content.IContent

`AUTOTEXT_CONTENT, CELL_CONTENT, CONTAINER_CONTENT, DATA_CONTENT, DOCUMENT_EXTENSION, FOREIGN_CONTENT, GROUP_CONTENT, IMAGE_CONTENT, LABEL_CONTENT, LAYOUT_EXTENSION, LIST_BAND_CONTENT, LIST_CONTENT, LIST_GROUP_CONTENT, PAGE_CONTENT, REPORT_CONTENT, ROW_CONTENT, SERIALIZE_CONTENT, TABLE_BAND_CONTENT, TABLE_CONTENT, TABLE_GROUP_CONTENT, TEXT_CONTENT`

## Method Summary

Modifier and Type
Method
Description
`IStyle`
`getContentComputedStyle()`
Deprecated.
use getPageBody().getComputedStyle()
`IStyle`
`getContentStyle()`
Deprecated.
use getPageBody().getStyle()
`Collection<IContent>`
`getFooter()`
Get the footer
`org.eclipse.birt.report.engine.ir.DimensionType`
`getFooterHeight()`
Get the footer height
`Collection<IContent>`
`getHeader()`
Get the header
`org.eclipse.birt.report.engine.ir.DimensionType`
`getHeaderHeight()`
Get the header height
`org.eclipse.birt.report.engine.ir.DimensionType`
`getLeftWidth()`
Get the width of the left part
`org.eclipse.birt.report.engine.ir.DimensionType`
`getMarginBottom()`
Get the margin bottom
`org.eclipse.birt.report.engine.ir.DimensionType`
`getMarginLeft()`
Get the margin left
`org.eclipse.birt.report.engine.ir.DimensionType`
`getMarginRight()`
Get the margin right
`org.eclipse.birt.report.engine.ir.DimensionType`
`getMarginTop()`
Get the margin top
`String`
`getOrientation()`
Get the orientation
`IContent`
`getPageBody()`
Get the page body
`IContent`
`getPageFooter()`
Get the page footer
`IContent`
`getPageHeader()`
Get the page header
`org.eclipse.birt.report.engine.ir.DimensionType`
`getPageHeight()`
Get the page height
`long`
`getPageNumber()`
Get the page number
`String`
`getPageType()`
Get the page type
`org.eclipse.birt.report.engine.ir.DimensionType`
`getPageWidth()`
Get the page width
`org.eclipse.birt.report.engine.ir.DimensionType`
`getRightWidth()`
Get the width of the right part
`IImageContent`
`getWaterMark()`
Get the watermark
`void`
`setPageBody(IContent body)`
Set the pagebody
`void`
`setPageFooter(IContent footer)`
Set the page footer
`void`
`setPageHeader(IContent header)`
Set the page header
`void`
`setPageNumber(long pageNumber)`
Set page number

### Methods inherited from interface org.eclipse.birt.report.engine.css.engine.CSSStylableElement

`getComputedStyle, getCSSEngine, getStyle`

### Methods inherited from interface org.eclipse.birt.report.engine.content.IContent

`accept, cloneContent, getACL, getAltText, getAltTextKey, getBookmark, getContentType, getExtension, getExtensions, getGenerateBy, getHeight, getHelpText, getHyperlinkAction, getInlineStyle, getInstanceID, getName, getReportContent, getResultSet, getTagType, getTOC, getUserProperties, getWidth, getX, getY, hasChildren, isDirectionRTL, isLastChild, isRTL, readContent, setACL, setAltText, setAltTextKey, setBookmark, setExtension, setExtensions, setGenerateBy, setHasChildren, setHeight, setHelpText, setHyperlinkAction, setInlineStyle, setInstanceID, setLastChild, setName, setReportContent, setTagType, setTOC, setUserProperties, setWidth, setX, setY, writeContent`

### Methods inherited from interface org.eclipse.birt.report.engine.content.IElement

`getChildren, getParent, setParent`

### Methods inherited from interface org.eclipse.birt.report.engine.content.IStyledElement

`getComputedStyle, getStyle, getStyleClass, setStyleClass`

## Method Details

### getOrientation

String getOrientation()
Get the orientation

Returns:
  the orientation

### getPageType

String getPageType()
Get the page type

Returns:
  the page type

### getPageHeight

org.eclipse.birt.report.engine.ir.DimensionType getPageHeight()
Get the page height

Returns:
  the page height

### getPageWidth

org.eclipse.birt.report.engine.ir.DimensionType getPageWidth()
Get the page width

Returns:
  the page width

### getWaterMark

IImageContent getWaterMark()
Get the watermark

Returns:
  the watermark

### getHeader

Collection<IContent> getHeader()
Get the header

Returns:
  the header

### getFooter

Collection<IContent> getFooter()
Get the footer

Returns:
  the footer

### getPageHeader

IContent getPageHeader()
Get the page header

Returns:
  the page header

### getPageFooter

IContent getPageFooter()
Get the page footer

Returns:
  the page footer

### getPageBody

IContent getPageBody()
Get the page body

Returns:
  the page body

### setPageHeader

void setPageHeader(IContent header)
Set the page header

Parameters:
  `header` - header content

### setPageFooter

void setPageFooter(IContent footer)
Set the page footer

Parameters:
  `footer` - footer content

### setPageBody

void setPageBody(IContent body)
Set the pagebody

Parameters:
  `body` - body content

### getMarginTop

org.eclipse.birt.report.engine.ir.DimensionType getMarginTop()
Get the margin top

Returns:
  the margin top

### getMarginBottom

org.eclipse.birt.report.engine.ir.DimensionType getMarginBottom()
Get the margin bottom

Returns:
  the margin bottom

### getMarginLeft

org.eclipse.birt.report.engine.ir.DimensionType getMarginLeft()
Get the margin left

Returns:
  the margin left

### getMarginRight

org.eclipse.birt.report.engine.ir.DimensionType getMarginRight()
Get the margin right

Returns:
  the margin right

### getHeaderHeight

org.eclipse.birt.report.engine.ir.DimensionType getHeaderHeight()
Get the header height

Returns:
  the header height

### getFooterHeight

org.eclipse.birt.report.engine.ir.DimensionType getFooterHeight()
Get the footer height

Returns:
  the footer height

### getLeftWidth

org.eclipse.birt.report.engine.ir.DimensionType getLeftWidth()
Get the width of the left part

Returns:
  the width of the left part

### getRightWidth

org.eclipse.birt.report.engine.ir.DimensionType getRightWidth()
Get the width of the right part

Returns:
  the width of the right part

### getContentStyle

@Deprecated IStyle getContentStyle()
Deprecated.
use getPageBody().getStyle()
Get the content style

Returns:
  the content style

### getPageNumber

long getPageNumber()
Get the page number

Returns:
  page number

### setPageNumber

void setPageNumber(long pageNumber)
Set page number

Parameters:
  `pageNumber` - page number

### getContentComputedStyle

@Deprecated IStyle getContentComputedStyle()
Deprecated.
use getPageBody().getComputedStyle()
Get the computed style of content

Returns:
  computed style of content